Subject: New Daffodil book reviewed by AHS

From: [email-masked] (Janet Wintermute)
Date: Sun, 12 Nov 1995 01:56:34 GMT

It's not too late to plant daffs for '96 bloom, but don't wait much
longer!  You might find Brent and Becky Heath's new book, Daffodils
for American Gardens, helpful in examining what they believe are the
best 200 cultivars for North America.  (The Heaths are the owners of
Gloucester, Virginia's Daffodil Mart and supply florists all up and
down the East Coast.)

Subjects covered include forcing paperwhites indoors, naturalizing
masses of blooms in wooded settings, and developing hybrids.  The
144-page book is illustrated with 300 color photos.   It's $24.95 (but
deduct $2.50 if you are a member of AHS and order it through them).

--Janet